﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XamSliderCase
{
    public class TickMarkValuesConverter : IValueConverter
    {
        public Dictionary<double, double> dict = new Dictionary<double, double>()
        {
            { -60, -120},
            { -55, -90},
            { -50, -60},
            { -45, -40},
            { -40, -30},
            { -30, -20},
            { -20, -15},
            { -10, -10},
            { 0, -5},
            { 10, 0},
            { 20, 8},
            { 30, 12},
        };

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        { 
             return dict[(double)value].ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
